# TODO: gtk4 variant
#
# Conditional build:
%bcond_without	apidocs		# gtk-doc documentation
%bcond_without	static_libs	# shared library
%bcond_without	vala		# Vala API
#
Summary:	NetworkManager UI utilities (libnm version)
Summary(pl.UTF-8):	Narzędzia UI NetworkManagera (wersja libnm)
Name:		libnma
Version:	1.8.32
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.gnome.org/sources/libnma/1.8/%{name}-%{version}.tar.xz
# Source0-md5:	10505d481f650442246f9c957e90219b
URL:		https://gitlab.gnome.org/GNOME/libnma
BuildRequires:	NetworkManager-devel >= 2:1.7
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.11
BuildRequires:	gcr-ui-devel >= 3.14
BuildRequires:	gettext-tools >= 0.18
BuildRequires:	glib2-devel >= 1:2.38
BuildRequires:	gobject-introspection-devel >= 0.9.6
BuildRequires:	gtk+3-devel >= 3.10
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	pkgconfig
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.98
BuildRequires:	tar >= 1:1.22
%if %{with vala}
BuildRequires:	vala >= 2:0.17.1.24
BuildRequires:	vala-NetworkManager
%endif
BuildRequires:	xz
Requires:	NetworkManager-libs >= 2:1.7
Requires:	gcr-ui >= 3.14
Requires:	glib2 >= 1:2.38
Requires:	gtk+3 >= 3.10
Requires:	iso-codes
Requires:	mobile-broadband-provider-info
Provides:	NetworkManager-gtk-lib = %{version}-%{release}
Obsoletes:	NetworkManager-gtk-lib < 1.8.26
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
NetworkManager UI utilities (libnm version).

%description -l pl.UTF-8
Narzędzia UI NetworkManagera (wersja libnm).

%package devel
Summary:	Header files for libnma library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libnma
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	NetworkManager-devel >= 2:1.7
Requires:	glib2-devel >= 1:2.38
Requires:	gtk+3-devel >= 3.10
Provides:	NetworkManager-gtk-lib-devel = %{version}-%{release}
Obsoletes:	NetworkManager-gtk-lib-devel < 1.8.26

%description devel
Header files for libnma library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libnma.

%package static
Summary:	Static libnma library
Summary(pl.UTF-8):	Statyczna biblioteka libnma
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libnma library.

%description static -l pl.UTF-8
Statyczna biblioteka libnma.

%package apidocs
Summary:	API documentation for libnma library
Summary(pl.UTF-8):	Dokumentacja API biblioteki libnma
Group:		Documentation
Obsoletes:	NetworkManager-gtk-lib-apidocs < 1.8.26
BuildArch:	noarch

%description apidocs
API documentation for libnma library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libnma.

%package -n vala-libnma
Summary:	Vala API for libnma library
Summary(pl.UTF-8):	API języka Vala do biblioteki libnma
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Requires:	vala >= 2:0.17.1.24
BuildArch:	noarch

%description -n vala-libnma
Vala API for libnma library.

%description -n vala-libnma -l pl.UTF-8
API języka Vala do biblioteki libnma.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-iso-codes \
	--disable-mobile-broadband-provider-info \
	--disable-silent-rules \
	%{!?with_static_libs:--disable-static} \
	%{__enable_disable vala} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libnma.la

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_libdir}/libnma.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libnma.so.0
%{_libdir}/girepository-1.0/NMA-1.0.typelib
%{_datadir}/glib-2.0/schemas/org.gnome.nm-applet.gschema.xml

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libnma.so
%{_includedir}/libnma
%{_datadir}/gir-1.0/NMA-1.0.gir
%{_pkgconfigdir}/libnma.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libnma.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/libnma
%endif

%if %{with vala}
%files -n vala-libnma
%defattr(644,root,root,755)
%{_datadir}/vala/vapi/libnma.deps
%{_datadir}/vala/vapi/libnma.vapi
%endif
%changelog
* Fri Aug 20 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libnma.git;a=log;h=master

* Fri Aug 20 2021 Jakub Bogusz <qboosh@pld-linux.org> cbf3cb7
- updated to 1.8.32

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> c1fcec3
- unconditional noarch subpackages

* Tue Jun 23 2020 Jan Palus <atler@pld-linux.org> 26a63a9
- up to 1.8.30

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 3bcae69
- no epoch in internal deps

* Sun Mar 29 2020 Jakub Bogusz <qboosh@pld-linux.org> 05651e9
- updated glib2 dependency

* Sun Mar 15 2020 Jan Palus <atler@pld-linux.org> f8ab59e
- add Provides for NetworkManager-gtk-lib{,-devel}; rel 2

* Thu Mar 12 2020 Jan Palus <atler@pld-linux.org> c5aabc9
- up to 1.8.28

* Sat Dec 21 2019 Jakub Bogusz <qboosh@pld-linux.org> a8f805b
- obsolete NetworkManager-gtk-lib* packages

* Sat Dec 21 2019 Jakub Bogusz <qboosh@pld-linux.org> eadc58d
- new, now separate from NetworkManager-applet

